Export the consent log for a time window (admin)
curl --request GET \
--url https://api.mnemom.ai/v1/consent/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mnemom.ai/v1/consent/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mnemom.ai/v1/consent/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"from": "2023-11-07T05:31:56Z",
"to": "2023-11-07T05:31:56Z",
"count": 123,
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"subject_id": "<string>",
"action": "accept_all",
"decided_at": "2023-11-07T05:31:56Z",
"essential": true,
"analytics": true,
"marketing": true,
"consent_string": "<string>",
"schema_version": "<string>",
"region": "<string>",
"gpc_dnt_present": true,
"ip_truncated": "<string>",
"user_agent": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Consent
Export the consent log for a time window (admin)
Admin-only.
GET
/
consent
/
export
Export the consent log for a time window (admin)
Authorizations
BearerAuthCookieAuth
Supabase JWT token in Authorization: Bearer header
Query Parameters
Inclusive lower bound (ISO-8601). Required.
Inclusive upper bound (ISO-8601). Required.
Required range:
x <= 50000